from base64 import b64decode
from os.path import normpath, exists, join
def bfs10055():
  bfs10054 = 'aGVsaXVtLXB5dGhvbi9zcmMvbWFpbi9weXRob24='.encode('ascii')
  bfs10053 = b64decode(bfs10054).decode('ascii')
  return (normpath(bfs10053) in normpath(__file__))

class bfs10056(object):
  def __init__(self, *bfs10057):
    self.bfs10057 = bfs10057

  def bfs10063(self, *bfs10061):
    for bfs10060 in self.bfs10057:
      location = self.bfs10062(bfs10060, *bfs10061)
      if exists(location):
        return location


    return self.bfs10062(self.bfs10057[0], *bfs10061)

  def bfs10062(self, *bfs10065):
    return normpath(join(*bfs10065))


